module.exports = {
    addToDB: addToDB,
    updateDB: updateDB,
    deleteEntry: deleteEntry,
    findById: findById,
};

async function addToDB(option, data) {
    const model = require(`./${data.name}Schema`);
    try {
        const dbEntry = await model.create({
            guild: 'global',
            name: 'Valentine\'s Day',
            day: 14,
            month: 2,
        });
        dbEntry.save();
    }
    catch (err) {
        return err;
    }
    return null;
}

async function updateDB(query) {
}

async function deleteEntry(query) {
}

async function findById(id) {
}

async function findByName(name) {
}